> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Ledger

> **Scopes:** `ledger:delete`



## OpenAPI

````yaml /api-reference/openapi.json delete /v0/business/{business_id}/ledger/{ledger_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/ledger/{ledger_id}:
    delete:
      tags:
        - Ledger
      summary: Delete a Ledger
      description: '**Scopes:** `ledger:delete`'
      operationId: >-
        delete_business_ledger_v0_business__business_id__ledger__ledger_id__delete
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: ledger_id
          in: path
          required: true
          schema:
            description: The id of the ledger
            examples:
              - ldg_WQMDNUHpBThYSNh4AprDBo
            type: string
            format: ldg_string
            title: Ledger Id
          description: The id of the ledger
      responses:
        '204':
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '409':
          description: >-
            Conflict. The ledger cannot be deleted because it is a system ledger
            or has data referencing it
          content:
            application/json:
              example:
                message: string
                data: string
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - ledger:delete
components:
  schemas:
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````